.wrapper {
    position: relative;
    display: inline-block;

    .list {
        position: absolute;
        z-index: 900;
        display: none;
        flex-direction: column;
        min-width: 15rem;
        background: #FFFFFF;
        box-shadow: 0 4px 8px rgba(19, 41, 61, 0.1);
        border: 1px solid $grey-200;
        border-radius: $border-radius;
        list-style: none;
        margin: 0;
        padding: 0;

        &.open {
            display: flex;
        }

        &__item {
            display: inline-flex;
            flex-wrap: nowrap;
            align-items: center;
            white-space: nowrap;
            gap: $space * 2;
            color: $color-base;
            cursor: pointer;
            @include padding(3, 4);

            &.light {
                color: $color-base-light;
            }

            &.blue {
                color: $blue-700;
            }

            &.green {
                color: $green-700;
            }


            &.red {
                color: $red-600;
            }

            &:hover {
                background-color: $grey-100;
            }

            &.disabled {
                color: $color-input-disabled;
                cursor: not-allowed;
            }

            &:first-child {
                border-top-left-radius: $border-radius;
                border-top-right-radius: $border-radius;
            }

            &:last-child {
                border-bottom-left-radius: $border-radius;
                border-bottom-right-radius: $border-radius;
            }
        }
    }
}
